<template>
    <h2 class="subtitle">
        <span class="subtitle-line"></span>
        {{ text }}
    </h2>
</template>

<script>
export default {
    props: {
        text: String,
    },
}
</script>

<style>
.subtitle {
    color: #fff;
    font-weight: 500;
    font-size: 24px;
    margin-bottom: 40px;
}
.subtitle-line {
    display: inline-block;
    border-top: 4px solid var(--color-primary);
    width: 60px;
    margin-right: 1rem;
    transform: translateY(-0.45rem);
}
/* .subtitle::before {
    display: inline-block;
    content: "";
    border-top: 4px solid var(--color-primary);
    width: 60px;
    margin-right: 1rem;
    transform: translateY(-0.45rem);
} */
</style>